# This file created by conda-build 3.10.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/llvmlite-0.23.2-python_3.5-on-linux_64, last modified Fri Jun 22 07:34:02 2018
# ------------------------------------------------

package:
    name: llvmlite
    version: 0.23.2
source:
    git_rev: v0.23.2
    git_url: https://github.com/numba/llvmlite
    patches:
        - 0001-Python-3.7-compat-Properly-escape-repl-in-re.sub.patch
build:
    number: '0'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: py35hdbcaa40_0
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 h550dcbe_27
        - libstdcxx-ng 7.2.0 hdf63c60_3
    host:
        - ca-certificates 2018.03.07 0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 hdf63c60_3
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - llvmdev 6.0.0 h1a6f6a4_3
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2o h20670df_0
        - python 3.5.5 hc3d631a_4
        - readline 7.0 ha6073c6_4
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 hc745277_3
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    run:
        - libgcc-ng >=7.2.0
        - libstdcxx-ng >=7.2.0
        - python >=3.5,<3.6.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - python -m llvmlite.tests
    imports:
        - llvmlite
        - llvmlite.binding
about:
    home: https://github.com/numba/llvmlite
    license: New BSD License
    summary: A lightweight LLVM python binding for writing JIT compilers
extra:
    copy_test_source_files: true
    final: true
